# $Revision: 1.19 $, $Date: 2012/03/27 17:29:38 $
Summary:	A locate/updatedb implementation
Summary(pl.UTF-8):	Implementacja locate/updatedb
Name:		mlocate
Version:	0.25
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/m/l/mlocate/%{name}-%{version}.tar.xz
# Source0-md5:	c6d043b170613b0e327a815b497f680a
Source1:	updatedb.conf
Source2:	%{name}.cron
URL:		https://fedorahosted.org/mlocate/
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(postun):	/usr/sbin/groupdel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires:	awk
Requires:	crondaemon
Provides:	group(mlocate)
Provides:	locate-utility
Obsoletes:	locate-utility
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mlocate is a new locate implementation. The "m" stands for "merging",
because updatedb reuses the existing database to avoid rereading most
of the file system, which makes updatedb faster and does not trash the
system caches as much. The locate(1) utility is intended to be
completely compatible to slocate. It also attempts to be compatible to
GNU locate, when it does not conflict with slocate compatibility.

%description -l pl.UTF-8
mlocate to nowa implementacja locate. "m" oznacza "merging" (łącząca),
ponieważ updatedb wykorzystuje istniejącą bazę aby zapobiec ponownemu
odczytywaniu większości systemu plików, dzięki czemu updatedb działa
szybciej i nie czyści tak bardzo buforów systemowych. Narzędzie
locate(1) powinno być w pełni kompatybilne z slocate. Próbuje być
kompatybilne także z GNU locate, o ile nie jest to w konflikcie z
kompatybilnością z slocate.

%prep
%setup -q

%build
%configure \
	--localstatedir=/var/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/cron.daily}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/updatedb.conf
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/%{name}.cron
touch $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}/%{name}.db

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 196 %{name}

%post
if [ ! -f %{_localstatedir}/lib/%{name}/%{name}.db ]; then
	echo 'Run "%{_bindir}/updatedb" if you want to make %{name} database immediately.'
fi

%postun
if [ "$1" = "0" ]; then
	%groupremove %{name}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) /etc/cron.daily/%{name}.cron
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/updatedb.conf
%attr(2755,root,mlocate) %{_bindir}/locate
%attr(755,root,root) %{_bindir}/updatedb
%{_mandir}/man1/locate.1*
%{_mandir}/man5/%{name}.db.5*
%{_mandir}/man5/updatedb.conf.5*
%{_mandir}/man8/updatedb.8*
%dir %attr(750,root,mlocate) /var/lib/%{name}
%ghost %{_localstatedir}/lib/%{name}/%{name}.db

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mlocate.spec,v $
Revision 1.19  2012/03/27 17:29:38  glen
- BR xz

Revision 1.18  2012/03/27 17:26:02  glen
- up to 0.25
- updated updatedb.conf with more fs and paths to prune

Revision 1.17  2011/04/05 06:48:49  glen
- release 2

Revision 1.16  2011/04/05 02:14:57  glen
- up to 0.24

Revision 1.15  2011/03/22 08:01:09  glen
- cron script uses awk

Revision 1.14  2010/09/15 13:16:57  glen
- up to 0.23.1

Revision 1.13  2010/08/30 10:25:51  glen
- autoup to 0.23

Revision 1.12  2010/04/08 12:14:20  glen
- up to 0.22.4

Revision 1.11  2010/03/25 15:55:07  glen
- add cron support based on fc files

Revision 1.10  2010/03/25 15:44:44  glen
- up to 0.22.3

Revision 1.9  2009/06/10 12:50:34  amateja
- updated to 0.22

Revision 1.8  2008/08/19 18:41:53  qboosh
- sane Source0 URL
- updated to 0.21
- sgid mlocate for locate to make it usable for !root
- P+O: (virtual) locate-utility instead of yumoconflicts

Revision 1.7  2008/08/19 18:30:46  qboosh
- pl
- dropped ABOUT-NLS (generic gettext file)

Revision 1.6  2008/04/10 21:09:48  glen
- P: group(mlocate)

Revision 1.5  2008-04-10 19:45:41  paszczus
- groupadd -g 196
- proper directory for mlocate.db

Revision 1.4  2008-04-10 19:35:23  shadzik
- no wildcards as binaries

Revision 1.3  2008-04-10 19:33:16  shadzik
- no need to pass CLFAGS nor LDFLAGS (configure does it)
- cosmetics

Revision 1.2  2008-04-10 19:07:10  paszczus
- added C: slocate

Revision 1.1  2008-04-10 19:02:43  paszczus
- initial
